import numpy as np
import scipy.stats as ss

X = [5.128, 4.0, 4.587, 4.831]
Y = [4.082, 3.571, 3.891, 3.413]
X = np.array(X)
Y = np.array(Y)

print('X =\n', X)
print('Y =\n', Y)

mean_X = np.mean(X)
mean_Y = np.mean(Y)
M = len(X)
N = len(Y)
s_X_2 = np.sum((X - mean_X)**2) / (M - 1)
s_Y_2 = np.sum((Y - mean_Y)**2) / (N - 1)

F = s_X_2 / s_Y_2

print('F =', F)

df1 = M - 1
df2 = N - 1
print('df1 =', df1)
print('df2 =', df2)
p = ss.f.cdf(F, df1, df2)
print('P(X < F) =',p)
print('P(X > F) =', 1-p)
