import numpy as np
import scipy.stats as ss

pj = [1/2, 1/2]
Oj = [16, 4]
pj = np.array(pj)
Oj = np.array(Oj)
c = len(Oj)
Ej = np.empty(c)
print('pj =', pj)
print('Oj =', Oj)

N = np.sum(Oj)
print('N =', N)

for j in range(c):
    Ej[j] = N * pj[j]
print('Ej =', Ej)

Results = ss.chisquare(Oj, Ej)
print('chi2 =', Results[0])
print('p =', Results[1])
