import numpy as np
import scipy.stats as ss

pj = [1/2, 1/2]
Oj = [16, 4]
pj = np.array(pj)
Oj = np.array(Oj)
c = len(Oj)
Ej = np.empty(c)
print('pj =', pj)
print('Oj =', Oj)

N = np.sum(Oj)
print('N =', N)

for j in range(c):
    Ej[j] = N * pj[j]
print('Ej =', Ej)

chi2 = 0
for j in range(c):
    chi2 += ((Oj[j] - Ej[j])**2) / Ej[j]
print('ch2 =', chi2)

df = c - 1
print('df =', df)
p_chi2 = 1 - ss.chi2.cdf(chi2, df)
print('p =', p_chi2)
