import scipy.special as sp

def cum_p_comb(p, N, k):
    v = 0.0
    for i in range(k+1):
        v += sp.comb(N, i) * (p**i) * ((1-p)**(N-i))
    return v

p = float(input('p = '))
N = int(input('N = '))
k = int(input('k = '))
print(cum_p_comb(p, N, k))
