import numpy as np
import scipy.stats as ss

data = [[80, 85], [90, 88], [40, 60], [55, 70], [30, 40]]
print(data)
d = np.array(data).T[0] - np.array(data).T[1]

N = len(d)
d_mean = np.mean(d)
s_2 = np.sum((d - d_mean) ** 2) / (N - 1)

t = d_mean / ((s_2 / N) ** 0.5)

df = N - 1
print('\nt =', t)
print('df =', df)
p = ss.t.cdf(t, df)
print('P(X < t) =', p)
print('P(X > t) =', 1-p)
