import numpy as np
import scipy.stats as ss

Oij = [[23, 27],
       [38, 12]]
Oij = np.array(Oij)
print('Oij =\n', Oij)

r = len(Oij)
c = len(Oij[0])
print('r =', r)
print('c =', c)

ni = np.sum(Oij, axis=1)
print('ni =', ni)

Cj =np.sum(Oij, axis=0)
print('Cj =', Cj)

N = np.sum(Oij)
print('N =', N)

Eij = np.empty((r, c))
for i in range(r):
    for j in range(c):
        Eij[i][j] = ni[i] * Cj[j] / N

chi2 = 0.0
for i in range(r):
    for j in range(c):
        chi2 += ((Oij[i][j] - Eij[i][j])**2) / Eij[i][j]

print('\nchi2 =', chi2)
        
df = (r - 1) * (c - 1)
p_value = 1.0 - ss.chi2.cdf(chi2, df)
print('p =', p_value)
print('df =', df)



