import numpy as np
import scipy.stats as ss

data = [[80, 85], [90, 88], [40, 60], [55, 70], [30, 40]]
print(data)
d = np.array(data).T[0] - np.array(data).T[1]

N = len(d)
df = N - 1

Results = ss.ttest_1samp(d, popmean = 0, alternative = 'less')

print('\nt =', Results[0])
print('df =', df)
print('P(X < t) =', Results[1])
print('P(X > t) =', 1-Results[1])
