import numpy as np
import numpy.random as nr

data = [12, 20, 10, 17, 15,
        6, 14, 7, 8, 12]
data = np.array(data)
print(data)

diff_means = np.mean(data[:5]) - np.mean(data[5:])
print('diff_means =', diff_means)

N = 10_000             #   Random data permutationの回数
smpls = np.empty(N)
smpls[0] = diff_means
Count = 1
I = 2
while True:
    if I % 1000 == 0:
        print('I =', I, '   N =', N)
    idx = nr.choice(10, 5, replace = False)
    s1 = []
    s2 = []
    for i in range(10):
        if i in idx:
            s1.append(data[i])
        else:
            s2.append(data[i])
    diff = np.mean(s1) - np.mean(s2)
    if diff >= diff_means:
        Count += 1
    smpls[I-1] = diff
    I += 1
    if I > N:          #   Random data permutationの回数がNに達したか？
        break

print(Count)
p_hat = Count / N
se_hat = (p_hat * (1 - p_hat) / N) ** 0.5
print('p =', p_hat, '   se =', se_hat)
